.contact {

    &__wrap {
        position: relative;
    }

    &__main {
        text-align: center;
        margin-bottom: rem(36);
        padding-top: rem(20);
        padding-bottom: rem(30);
    }

    &__header {
        font-weight: 700;
        font-size: rem(30);
        line-height: rem(37);
        margin-bottom: rem(18);
    }

    &__text {
        color: #727272;
        font-size: rem(16);
        line-height: 140%;
        margin-bottom: rem(18);
    }

    &__item {
        margin-bottom: rem(18);
    }

    &__elem {
        color: $black;
        font-weight: 700;
        font-size: rem(23);
        line-height: 140%;
        white-space: nowrap;
        text-decoration: none;
        display: inline-block;
        border-bottom: 1px dotted $azure;
    }

    &__social {
        display: flex;
        align-items: center;
        justify-content: center;

        > * {
            margin: 0 rem(8);
        }
    }

    &__map {
        height: rem(574);
        margin: 0 rem(-20);
        background: url("../img/map.webp") 50% 50% no-repeat;
        background-size: cover;
    }

    @include media-breakpoint-up(md) {
        padding-top: rem(78);

        &__main {
            padding: 0;
            text-align: left;
        }

        &__header {
            font-size: rem(44);
            line-height: rem(54);
            margin-bottom: rem(21);
        }

        &__text {
            max-width: rem(400);
            font-size: rem(18);
            margin-bottom: rem(20);
        }

        &__item {
            margin-bottom: rem(24);
        }

        &__elem {
            font-size: rem(28);
        }

        &__social {
            padding-top: rem(12);
            margin-left: rem(-10);
            justify-content: flex-start;
        }

        &__map {
            margin: 0;

        }
    }

    @include media-breakpoint-up(xl) {

        &__main {
            z-index: 20;
            top: rem(10);
            left: rem(10);
            bottom: rem(10);
            width: rem(524);
            position: absolute;
            background: $white;
            margin-bottom: 0;
            padding: rem(88) rem(60) rem(60) rem(79);
        }

        &__header {
            margin-bottom: rem(20);
        }

        &__map {
            z-index: 10;
            height: rem(574);
            position: relative;
        }
    }
}

.social-button {
    border: none;
    outline: none;
    font-size: 0;
    line-height: 0;
    width: rem(30);
    height: rem(30);
    background: transparent;
    display: flex;
    align-items: center;
    justify-content: center;
    fill: $azure;

    &:hover {
        fill: $black;
    }

    i {
        flex-shrink: 0;
        height: rem(23);
        display: inline-block;
    }
}
